%define		php_name	php%{?php_suffix}
%define		modname	statgrab
%define		status		stable
Summary:	%{modname} - libstatgrab bindings
Summary(pl.UTF-8):	%{modname} - dowiązania biblioteki libstatgrab
Name:		%{php_name}-pecl-%{modname}
Version:	0.6.0
Release:	4
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	5e8e659e28d95da57c3d5a694cfb5af4
URL:		http://pecl.php.net/package/statgrab/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	libstatgrab-devel >= 0.10
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libstatgrab is a library that provides a common interface for
retrieving a variety of system statistics on a number of *NIX like
systems.

This extension allows you to call the functions made available by
libstatgrab library.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
libstatgrab to biblioteka dostarczająca wspólny interfejs do
odczytywania różnych statystyk systemowych na wielu systemach
uniksowych.

To rozszerzenie pozwala wywoływać funkcje udostępniane przez
bibliotekę libstatgrab.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv Statgrab-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Nov 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-statgrab.git;a=log;h=master

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 12a8345
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> ad63bbb
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> fb8cf1f
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ca35fd9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2c3979c
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 36f537a
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6d6e9be
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> a4cf29f
- updated to 0.6.0

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> f513fe0
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> f3770da
- updated to 0.5.0

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 13b45a0
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> a3d212e
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> e476a16
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> ce029a3
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> ffb851d
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 11d7a65
- superfluous BR libtool removed

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 94f7e8f
- ./adapter -s

* Fri Apr 08 2005 Adam Gołębiowski <adamg@pld-linux.org> b214ef0
- updated to 0.4

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 1406a80
- fixed english information about status of the package (also s/PEAR/PECL/)

* Sun May 23 2004 Adam Gołębiowski <adamg@pld-linux.org> 549e7d7
- BuildRequires: libstatgrab-devel >= 0.10

